﻿/**********************************************************************************
*********************************Gallery[start]************************************
***********************************************************************************/
.demo-nd {
    padding-bottom: 50px;background: #fff;
}

.slide--in-top .direction-reveal__anim--in {
  -webkit-animation-name: slide--in-top;
          animation-name: slide--in-top;
}

.slide--in-top .direction-reveal__anim--out {
  -webkit-animation-name: slide--out-bottom;
          animation-name: slide--out-bottom;
}

.slide--in-bottom .direction-reveal__anim--in {
  -webkit-animation-name: slide--in-bottom;
          animation-name: slide--in-bottom;
}

.slide--in-bottom .direction-reveal__anim--out {
  -webkit-animation-name: slide--out-top;
          animation-name: slide--out-top;
}

.slide--in-left .direction-reveal__anim--in {
  -webkit-animation-name: slide--in-left;
          animation-name: slide--in-left;
}

.slide--in-left .direction-reveal__anim--out {
  -webkit-animation-name: slide--out-right;
          animation-name: slide--out-right;
}

.slide--in-right .direction-reveal__anim--in {
  -webkit-animation-name: slide--in-right;
          animation-name: slide--in-right;
}

.slide--in-right .direction-reveal__anim--out {
  -webkit-animation-name: slide--out-left;
          animation-name: slide--out-left;
}

.slide--out-top .direction-reveal__anim--in {
  -webkit-animation-name: slide--out-top;
          animation-name: slide--out-top;
}

.slide--out-top .direction-reveal__anim--out {
  -webkit-animation-name: slide--in-bottom;
          animation-name: slide--in-bottom;
}

.slide--out-bottom .direction-reveal__anim--in {
  -webkit-animation-name: slide--out-bottom;
          animation-name: slide--out-bottom;
}

.slide--out-bottom .direction-reveal__anim--out {
  -webkit-animation-name: slide--in-top;
          animation-name: slide--in-top;
}

.slide--out-left .direction-reveal__anim--in {
  -webkit-animation-name: slide--out-left;
          animation-name: slide--out-left;
}

.slide--out-left .direction-reveal__anim--out {
  -webkit-animation-name: slide--in-right;
          animation-name: slide--in-right;
}

.slide--out-right .direction-reveal__anim--in {
  -webkit-animation-name: slide--out-right;
          animation-name: slide--out-right;
}

.slide--out-right .direction-reveal__anim--out {
  -webkit-animation-name: slide--in-left;
          animation-name: slide--in-left;
}

.direction-reveal [class*='slide--'] .direction-reveal__anim--in, .direction-reveal [class*='slide--'] .direction-reveal__anim--out {
  -webkit-transform: translate3d(0, 0, 0);
          transform: translate3d(0, 0, 0);
  -webkit-animation-timing-function: cubic-bezier(0.25, 0.46, 0.45, 0.94);
          animation-timing-function: cubic-bezier(0.25, 0.46, 0.45, 0.94);
}

@-webkit-keyframes slide--in-top {
  0% {
    -webkit-transform: translate3d(0, -100%, 0);
            transform: translate3d(0, -100%, 0);
  }
}

@keyframes slide--in-top {
  0% {
    -webkit-transform: translate3d(0, -100%, 0);
            transform: translate3d(0, -100%, 0);
  }
}

@-webkit-keyframes slide--out-top {
  100% {
    -webkit-transform: translate3d(0, -100%, 0);
            transform: translate3d(0, -100%, 0);
  }
}

@keyframes slide--out-top {
  100% {
    -webkit-transform: translate3d(0, -100%, 0);
            transform: translate3d(0, -100%, 0);
  }
}

@-webkit-keyframes slide--in-bottom {
  0% {
    -webkit-transform: translate3d(0, 100%, 0);
            transform: translate3d(0, 100%, 0);
  }
}

@keyframes slide--in-bottom {
  0% {
    -webkit-transform: translate3d(0, 100%, 0);
            transform: translate3d(0, 100%, 0);
  }
}

@-webkit-keyframes slide--out-bottom {
  100% {
    -webkit-transform: translate3d(0, 100%, 0);
            transform: translate3d(0, 100%, 0);
  }
}

@keyframes slide--out-bottom {
  100% {
    -webkit-transform: translate3d(0, 100%, 0);
            transform: translate3d(0, 100%, 0);
  }
}

@-webkit-keyframes slide--in-left {
  0% {
    -webkit-transform: translate3d(-100%, 0, 0);
            transform: translate3d(-100%, 0, 0);
  }
}

@keyframes slide--in-left {
  0% {
    -webkit-transform: translate3d(-100%, 0, 0);
            transform: translate3d(-100%, 0, 0);
  }
}

@-webkit-keyframes slide--out-left {
  100% {
    -webkit-transform: translate3d(-100%, 0, 0);
            transform: translate3d(-100%, 0, 0);
  }
}

@keyframes slide--out-left {
  100% {
    -webkit-transform: translate3d(-100%, 0, 0);
            transform: translate3d(-100%, 0, 0);
  }
}

@-webkit-keyframes slide--in-right {
  0% {
    -webkit-transform: translate3d(100%, 0, 0);
            transform: translate3d(100%, 0, 0);
  }
}

@keyframes slide--in-right {
  0% {
    -webkit-transform: translate3d(100%, 0, 0);
            transform: translate3d(100%, 0, 0);
  }
}

@-webkit-keyframes slide--out-right {
  100% {
    -webkit-transform: translate3d(100%, 0, 0);
            transform: translate3d(100%, 0, 0);
  }
}

@keyframes slide--out-right {
  100% {
    -webkit-transform: translate3d(100%, 0, 0);
            transform: translate3d(100%, 0, 0);
  }
}

.rotate--in-top .direction-reveal__anim--in {
  -webkit-animation-name: rotate--in-top;
          animation-name: rotate--in-top;
}

.rotate--in-top .direction-reveal__anim--out {
  -webkit-animation-name: rotate--out-bottom;
          animation-name: rotate--out-bottom;
}

.rotate--in-bottom .direction-reveal__anim--in {
  -webkit-animation-name: rotate--in-bottom;
          animation-name: rotate--in-bottom;
}

.rotate--in-bottom .direction-reveal__anim--out {
  -webkit-animation-name: rotate--out-top;
          animation-name: rotate--out-top;
}

.rotate--in-left .direction-reveal__anim--in {
  -webkit-animation-name: rotate--in-left;
          animation-name: rotate--in-left;
}

.rotate--in-left .direction-reveal__anim--out {
  -webkit-animation-name: rotate--out-right;
          animation-name: rotate--out-right;
}

.rotate--in-right .direction-reveal__anim--in {
  -webkit-animation-name: rotate--in-right;
          animation-name: rotate--in-right;
}

.rotate--in-right .direction-reveal__anim--out {
  -webkit-animation-name: rotate--out-left;
          animation-name: rotate--out-left;
}

.rotate--out-top .direction-reveal__anim--in {
  -webkit-animation-name: rotate--out-top;
          animation-name: rotate--out-top;
}

.rotate--out-top .direction-reveal__anim--out {
  -webkit-animation-name: rotate--in-bottom;
          animation-name: rotate--in-bottom;
}

.rotate--out-bottom .direction-reveal__anim--in {
  -webkit-animation-name: rotate--out-bottom;
          animation-name: rotate--out-bottom;
}

.rotate--out-bottom .direction-reveal__anim--out {
  -webkit-animation-name: rotate--in-top;
          animation-name: rotate--in-top;
}

.rotate--out-left .direction-reveal__anim--in {
  -webkit-animation-name: rotate--out-left;
          animation-name: rotate--out-left;
}

.rotate--out-left .direction-reveal__anim--out {
  -webkit-animation-name: rotate--in-right;
          animation-name: rotate--in-right;
}

.rotate--out-right .direction-reveal__anim--in {
  -webkit-animation-name: rotate--out-right;
          animation-name: rotate--out-right;
}

.rotate--out-right .direction-reveal__anim--out {
  -webkit-animation-name: rotate--in-left;
          animation-name: rotate--in-left;
}

.direction-reveal [class*='rotate--'] .direction-reveal__anim--in, .direction-reveal [class*='rotate--'] .direction-reveal__anim--out {
  -webkit-transform: rotate(0);
          transform: rotate(0);
  -webkit-animation-timing-function: cubic-bezier(0.25, 0.46, 0.45, 0.94);
          animation-timing-function: cubic-bezier(0.25, 0.46, 0.45, 0.94);
}

.rotate--in-top .direction-reveal__anim--in, .rotate--in-top .direction-reveal__anim--out, .rotate--out-top .direction-reveal__anim--in, .rotate--out-top .direction-reveal__anim--out {
  -webkit-transform-origin: left top;
          transform-origin: left top;
}

.rotate--in-bottom .direction-reveal__anim--in, .rotate--in-bottom .direction-reveal__anim--out, .rotate--out-bottom .direction-reveal__anim--in, .rotate--out-bottom .direction-reveal__anim--out {
  -webkit-transform-origin: left bottom;
          transform-origin: left bottom;
}

.rotate--in-left .direction-reveal__anim--in, .rotate--in-left .direction-reveal__anim--out, .rotate--out-left .direction-reveal__anim--in, .rotate--out-left .direction-reveal__anim--out {
  -webkit-transform-origin: left top;
          transform-origin: left top;
}

.rotate--in-right .direction-reveal__anim--in, .rotate--in-right .direction-reveal__anim--out, .rotate--out-right .direction-reveal__anim--in, .rotate--out-right .direction-reveal__anim--out {
  -webkit-transform-origin: right top;
          transform-origin: right top;
}

@-webkit-keyframes rotate--in-top {
  0% {
    -webkit-transform: rotate(-90deg);
            transform: rotate(-90deg);
  }
}

@keyframes rotate--in-top {
  0% {
    -webkit-transform: rotate(-90deg);
            transform: rotate(-90deg);
  }
}

@-webkit-keyframes rotate--out-top {
  100% {
    -webkit-transform: rotate(-90deg);
            transform: rotate(-90deg);
  }
}

@keyframes rotate--out-top {
  100% {
    -webkit-transform: rotate(-90deg);
            transform: rotate(-90deg);
  }
}

@-webkit-keyframes rotate--in-bottom {
  0% {
    -webkit-transform: rotate(90deg);
            transform: rotate(90deg);
  }
}

@keyframes rotate--in-bottom {
  0% {
    -webkit-transform: rotate(90deg);
            transform: rotate(90deg);
  }
}

@-webkit-keyframes rotate--out-bottom {
  100% {
    -webkit-transform: rotate(90deg);
            transform: rotate(90deg);
  }
}

@keyframes rotate--out-bottom {
  100% {
    -webkit-transform: rotate(90deg);
            transform: rotate(90deg);
  }
}

@-webkit-keyframes rotate--in-left {
  0% {
    -webkit-transform: rotate(90deg);
            transform: rotate(90deg);
  }
}

@keyframes rotate--in-left {
  0% {
    -webkit-transform: rotate(90deg);
            transform: rotate(90deg);
  }
}

@-webkit-keyframes rotate--out-left {
  100% {
    -webkit-transform: rotate(90deg);
            transform: rotate(90deg);
  }
}

@keyframes rotate--out-left {
  100% {
    -webkit-transform: rotate(90deg);
            transform: rotate(90deg);
  }
}

@-webkit-keyframes rotate--in-right {
  0% {
    -webkit-transform: rotate(-90deg);
            transform: rotate(-90deg);
  }
}

@keyframes rotate--in-right {
  0% {
    -webkit-transform: rotate(-90deg);
            transform: rotate(-90deg);
  }
}

@-webkit-keyframes rotate--out-right {
  100% {
    -webkit-transform: rotate(-90deg);
            transform: rotate(-90deg);
  }
}

@keyframes rotate--out-right {
  100% {
    -webkit-transform: rotate(-90deg);
            transform: rotate(-90deg);
  }
}

.flip--in-top .direction-reveal__anim--in {
  -webkit-animation-name: flip--in-top;
          animation-name: flip--in-top;
}

.flip--in-top .direction-reveal__anim--out {
  -webkit-animation-name: flip--out-bottom;
          animation-name: flip--out-bottom;
}

.flip--in-bottom .direction-reveal__anim--in {
  -webkit-animation-name: flip--in-bottom;
          animation-name: flip--in-bottom;
}

.flip--in-bottom .direction-reveal__anim--out {
  -webkit-animation-name: flip--out-top;
          animation-name: flip--out-top;
}

.flip--in-left .direction-reveal__anim--in {
  -webkit-animation-name: flip--in-left;
          animation-name: flip--in-left;
}

.flip--in-left .direction-reveal__anim--out {
  -webkit-animation-name: flip--out-right;
          animation-name: flip--out-right;
}

.flip--in-right .direction-reveal__anim--in {
  -webkit-animation-name: flip--in-right;
          animation-name: flip--in-right;
}

.flip--in-right .direction-reveal__anim--out {
  -webkit-animation-name: flip--out-left;
          animation-name: flip--out-left;
}

.flip--out-top .direction-reveal__anim--in {
  -webkit-animation-name: flip--out-top;
          animation-name: flip--out-top;
}

.flip--out-top .direction-reveal__anim--out {
  -webkit-animation-name: flip--in-bottom;
          animation-name: flip--in-bottom;
}

.flip--out-bottom .direction-reveal__anim--in {
  -webkit-animation-name: flip--out-bottom;
          animation-name: flip--out-bottom;
}

.flip--out-bottom .direction-reveal__anim--out {
  -webkit-animation-name: flip--in-top;
          animation-name: flip--in-top;
}

.flip--out-left .direction-reveal__anim--in {
  -webkit-animation-name: flip--out-left;
          animation-name: flip--out-left;
}

.flip--out-left .direction-reveal__anim--out {
  -webkit-animation-name: flip--in-right;
          animation-name: flip--in-right;
}

.flip--out-right .direction-reveal__anim--in {
  -webkit-animation-name: flip--out-right;
          animation-name: flip--out-right;
}

.flip--out-right .direction-reveal__anim--out {
  -webkit-animation-name: flip--in-left;
          animation-name: flip--in-left;
}

.direction-reveal [class*='flip--'] {
  -webkit-perspective: 800px;
          perspective: 800px;
  overflow: visible;
}

.direction-reveal [class*='flip--'] .direction-reveal__anim--in, .direction-reveal [class*='flip--'] .direction-reveal__anim--out {
  -webkit-transform: rotateX(0) rotateY(0);
          transform: rotateX(0) rotateY(0);
  -webkit-animation-timing-function: cubic-bezier(0.455, 0.03, 0.515, 0.955);
          animation-timing-function: cubic-bezier(0.455, 0.03, 0.515, 0.955);
  -webkit-animation-duration: 0.6s;
          animation-duration: 0.6s;
  -webkit-backface-visibility: hidden;
          backface-visibility: hidden;
  z-index: 1;
}

@-webkit-keyframes flip--in-top {
  0% {
    -webkit-transform: rotateX(180deg) rotateY(0);
            transform: rotateX(180deg) rotateY(0);
  }
}

@keyframes flip--in-top {
  0% {
    -webkit-transform: rotateX(180deg) rotateY(0);
            transform: rotateX(180deg) rotateY(0);
  }
}

@-webkit-keyframes flip--out-top {
  100% {
    -webkit-transform: rotateX(180deg) rotateY(0);
            transform: rotateX(180deg) rotateY(0);
  }
}

@keyframes flip--out-top {
  100% {
    -webkit-transform: rotateX(180deg) rotateY(0);
            transform: rotateX(180deg) rotateY(0);
  }
}

@-webkit-keyframes flip--in-bottom {
  0% {
    -webkit-transform: rotateX(-180deg) rotateY(0);
            transform: rotateX(-180deg) rotateY(0);
  }
}

@keyframes flip--in-bottom {
  0% {
    -webkit-transform: rotateX(-180deg) rotateY(0);
            transform: rotateX(-180deg) rotateY(0);
  }
}

@-webkit-keyframes flip--out-bottom {
  100% {
    -webkit-transform: rotateX(-180deg) rotateY(0);
            transform: rotateX(-180deg) rotateY(0);
  }
}

@keyframes flip--out-bottom {
  100% {
    -webkit-transform: rotateX(-180deg) rotateY(0);
            transform: rotateX(-180deg) rotateY(0);
  }
}

@-webkit-keyframes flip--in-left {
  0% {
    -webkit-transform: rotateX(0) rotateY(-180deg);
            transform: rotateX(0) rotateY(-180deg);
  }
}

@keyframes flip--in-left {
  0% {
    -webkit-transform: rotateX(0) rotateY(-180deg);
            transform: rotateX(0) rotateY(-180deg);
  }
}

@-webkit-keyframes flip--out-left {
  100% {
    -webkit-transform: rotateX(0) rotateY(-180deg);
            transform: rotateX(0) rotateY(-180deg);
  }
}

@keyframes flip--out-left {
  100% {
    -webkit-transform: rotateX(0) rotateY(-180deg);
            transform: rotateX(0) rotateY(-180deg);
  }
}

@-webkit-keyframes flip--in-right {
  0% {
    -webkit-transform: rotateX(0) rotateY(180deg);
            transform: rotateX(0) rotateY(180deg);
  }
}

@keyframes flip--in-right {
  0% {
    -webkit-transform: rotateX(0) rotateY(180deg);
            transform: rotateX(0) rotateY(180deg);
  }
}

@-webkit-keyframes flip--out-right {
  100% {
    -webkit-transform: rotateX(0) rotateY(180deg);
            transform: rotateX(0) rotateY(180deg);
  }
}

@keyframes flip--out-right {
  100% {
    -webkit-transform: rotateX(0) rotateY(180deg);
            transform: rotateX(0) rotateY(180deg);
  }
}

.direction-reveal__card {
 float:left;
  position: relative;
  overflow: hidden;
}

.direction-reveal__overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  padding: 15px;
  color: #fff;
  overflow: hidden;
  background-color: rgba(0, 0, 0, 0.6);
}


.direction-reveal__anim--in {
  -webkit-transform: translate3d(0, -100%, 0);
          transform: translate3d(0, -100%, 0);
}
.direction-reveal__anim--in, .direction-reveal__anim--out {
  -webkit-animation-duration: 0.3s;
          animation-duration: 0.3s;
  -webkit-animation-timing-function: cubic-bezier(0.25, 0.46, 0.45, 0.94);
          animation-timing-function: cubic-bezier(0.25, 0.46, 0.45, 0.94);
  -webkit-animation-fill-mode: forwards;
          animation-fill-mode: forwards;
}

.direction-reveal [class*='slide--'] .direction-reveal__anim--in, .direction-reveal [class*='slide--'] .direction-reveal__anim--out {
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
    -webkit-animation-timing-function: cubic-bezier(0.25, 0.46, 0.45, 0.94);
    /* animation-timing-function: cubic-bezier(0.25, 0.46, 0.45, 0.94); */
}
.portfolio-title {
margin-top: 20%;
    text-align: center;
    font-size: 16px;
    border-bottom: 1px solid #808080;
    color: #dadada;
}

.direction-reveal--3-grid-flexbox {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
  margin-right: -10px;
  margin-left: -10px;
}



@media (min-width: 576px) {
  .direction-reveal--3-grid-flexbox .direction-reveal__card {

  }
}

.direction-reveal--3-grid-cssgrid {
  display: -ms-grid;
  display: grid;
  margin-right: -10px;
  margin-left: -10px;
}

@media (min-width: 576px) {
  .direction-reveal--3-grid-cssgrid {
    -ms-grid-columns: (1fr)[3];
        grid-template-columns: repeat(3, 1fr);
  }
}

.direction-reveal--3-grid-cssgrid .direction-reveal__card {
  border: 10px solid transparent;
}

.direction-reveal--grid-bootstrap .direction-reveal__card {
  margin-top: 15px;
  margin-bottom: 15px;
}

.tx-gl{
    background-color:#000;
    min-height:88px;
}
.demo-nd{
    padding-bottom:50px;
}
.direction-reveal .dv-cs:nth-child(odd) .tx-gl{
        background-color: #151515;
}
.direction-reveal .dv-cs:nth-child(even) .tx-gl{
          background-color: #1d1c1c;
}



/**********************************************************************************
*********************************Gallery[end]**************************************
***********************************************************************************/


.portfolio-sample {
    margin-bottom: 20px;
    border: 1px solid #d9d9d9;
    padding: 5px;
    overflow: hidden;
    border-radius: 3px;
    box-shadow: 3px 4px 1px #eeeeee;
}
    .portfolio-sample img {
        border-radius: 3px;
    }